/******************************************************************************
* Copyright (C) 2018 comtika Co.,Ltd
* All Rights Reserved.
* 本软件为康体佳智能科技（深圳）有限公司开发研制。未经本公司正式书面同意，其他任何个人、团体不得使用、
* 复制、修改或发布本软件.
*****************************************************************************/
package com.comtika.safe.common.enums;

/**
 * @ClassName: RegistSourceEnum
 * @Description:
 */
public enum RegistSourceEnum {
    ADD(1, "后台管理系统新增"),
    REGIST(2, "网页注册");

    private int id;

    private String value;

    private RegistSourceEnum(int id, String value) {
        this.id = id;
        this.value = value;
    }

    public int getId() {
        return id;
    }

    public String getValue() {
        return value;
    }

    public static RegistSourceEnum getEnumById(int id) {
        for (RegistSourceEnum each : RegistSourceEnum.values()) {
            if (each.getId() == id) { return each; }
        }
        throw new RuntimeException(String.format("id=[%d] error", id));
    }

}
