/******************************************************************************
* Copyright (C) 2018 eloam Co.,Ltd
* All Rights Reserved.
* 本软件为 新良田科技（深圳）有限公司开发研制。未经本公司正式书面同意，其他任何个人、团体不得使用、
* 复制、修改或发布本软件.
*****************************************************************************/
package com.comtika.safe.common.exception;

import com.comtika.safe.common.response.RespCode;

/**
 * @ClassName: UserLoginException
 * @Description:登录异常捕捉 token 解析失败需要抛该异常
 * @version V1.0
 * 修改与2019.4.4
 */
@SuppressWarnings("serial")
public class UserLoginException extends RespException {

    public UserLoginException(String message) {
        super(RespCode.UN_LOGIN,message);
    }
    public UserLoginException() {
        super(RespCode.UN_LOGIN,"token失效或不存在，请先登入");
    }
}
