package com.comtika.safe.common.model;

import java.io.Serializable;
import java.util.Map;




/**
 * @desc	:	这个是满足通用map操作数据库
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月18日 下午5:33:21
 */
@SuppressWarnings({"serial"})
public class BaseModel implements Serializable,Cloneable {
	/**
	 * 转JSON
	 * @return
	 */
	public String toJson() {
		return JsonUtil.toJSONString(this);
	}
	
	/**
	 * 转MAP
	 * @return
	 */
	public Map<String, Object> toMap(){
		return BeanUtil.toMap(this);
	}
	
}
