package com.comtika.safe.common.response;


import com.comtika.safe.common.exception.RespException;
import com.comtika.safe.common.exception.UnOAuthException;
import com.comtika.safe.common.utils.StringUtil;

/**
    * 调用方法响应处理公共类
　　* @description: zqy {1317646732@qq.com}
　　* @author zqy
　　* @date 2019/8/5 9:10
　　*/
public class RespResult {
    /**失败，上报异常*/
    public static <V> V resDataChange(RespWrapper<V> res)throws RespException {
        return resDataChange(res,null);
    }
    /**失败+自定义异常异常说明*/
    public static <V> V resDataChange(RespWrapper<V> res,String msg)throws RespException {
        if(res.isSuccess()) return res.getData();
        if(StringUtil.isEmpty(msg)){
            throw new RespException(res.getMsg());
        }else {
            throw new RespException("msg:"+msg+",ex:"+res.getMsg());
        }
    }
    public static void buidException(String msg)throws RespException{
        throw new RespException(msg);
    }
    public static void buidUnOuthException(String msg)throws RespException{
        throw new UnOAuthException(msg);
    }
}
