package com.comtika.safe.common.utils.http;

import java.io.Serializable;

/**
 * Http通讯结果类
 */
@SuppressWarnings("serial")
public class HttpResult implements Serializable{
    private int status;          //Http通讯状态(200=成功)
    private String result;       //Http通讯结果内容

    public boolean isStatusOK(){
        return (this.status == 200);
    }

    public int getStatus() {
        return status;
    }
    public void setStatus(int status) {
        this.status = status;
    }
    public String getResult() {
        return result;
    }
    public void setResult(String result) {
        this.result = result;
    }
    public static HttpResult createStatusOk(String res){
        HttpResult httpResult = new HttpResult();
        httpResult.setStatus(200);
        httpResult.setResult(res);
        return httpResult;
    }

    public static HttpResult buil(int code,String result){
    	HttpResult httpResult = new HttpResult();
    	httpResult.setResult(result);
    	httpResult.setStatus(code);
    	return httpResult;
    }


}

