package com.comtika.safe.config.db;

import com.zaxxer.hikari.HikariDataSource;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.sql.DataSource;

@Configuration
public class DBConfig {
    @ConfigurationProperties(prefix = "safe.db")
    @Bean(name = "dataSource")
    public DataSource dataSource() {
        return  new HikariDataSource();
    }
}
