package com.comtika.safe.core.protocol;

import com.comtika.safe.core.protocol.eunms.ValidateType;

/***
 *
 * @ClassName: ProtocolConstant
 * @Description: 协议常量
 * @author zhaoLuYang
 * @date2018年8月15日 上午9:46:34
 * @version V1.0
 */
public class ProtocolConstant {
	public static final String TERMINAL_END_NO = "80";

	/**充电数据在改变20次更新redis一次**/
	public static final int DEFAULT_USER_CHARHE_NUM = 20;
	/**最小掉线异常检查时间*/
	public static final int MIN_DROP_LINE_TIMEOUT_MINUTE = 3;

	/**处理挂单的最长时间为： 45*10 ==> 450==>7.5分钟**/
	public static final int DEFAULT_HANDLE_EX_ORDER = 10;
	/**更新订单列表时间*/
	public static final int DEFAULT_UPDATE_NUM = 100;

	/**默认超时时间*/
	public static final int DEFALUT_TIMEOUT = 60;
	/**一分钟**/
	public static final int ONE_MINUTE = 60*1000;
	/*** 普通指令，除数据后的长度*/
	public static final int ORIGIN_LENGTH = 13;
	/**超长指令长度**/
	public static final int SUPER_LONG_LENGTH = 14;
	/**默认校验**/
	public static final ValidateType DEFAULT_CHECK = ValidateType.CS;
	/**充电数据前缀key**/
	public static final String PREFIX_CHARGE_DATA = "TCDT_%s";
	/**充电数据前缀key**/
	public static final String HANDLE_ORDER = "HO._%s";
	/***集中器上电事件**/
	public static final String TERMINAL_POWER_UP = "PU._%s";
	// 重试次数
	public static final int RETRY_NUM = 6;

	public static final String EX_ORDER_UNIQUE_NO = "exUniqueNo_%s_%d";

}
