package com.comtika.safe.core.protocol.entity.charge;

import com.comtika.safe.core.protocol.eunms.device.EquipmentCode;
import lombok.Data;

/**
 * @desc	:	充电开始数据
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月22日 下午4:29:53
 */
@Data
public class ChargeStart {
	//默认是16路电单车
	public ChargeStart(){
		this.terminalCode = EquipmentCode.GPRS_16;
	}
	/**设备编号*/
	private int equipmentCode;
	/**设备类型*/
	private EquipmentCode terminalCode;
	/**节点编号*/
	private String nodeId;
	/**订单编号*/
	private String orderNo;
	/**充值模式  0=时间，1=金钱 ，2=电量 ，3= 充满 ，4= 固定时间*/
	private int mode;
	/**值*/
	private int value;
	/**插座编号*/
	private int plugNo;

}
