package com.comtika.safe.core.protocol.entity.node;


import com.comtika.safe.core.protocol.ComtikaExtra;
import com.comtika.safe.core.protocol.eunms.device.EquipmentCode;
import lombok.Data;


/**
 * @desc	:	节点充电数据
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月21日 下午6:16:21
 */
@Data
public class NodeChargeData extends ComtikaExtra {
	private String nodeId;
	private String orderNo;
	private EquipmentCode deviceId;
	private String t;
	private int eleV;
	private int eleI;
	private int eleP;
	private int eleEP;
	private int eleEPLast;
	private int chargeTime;
	private int eleILeak;
	private int eleF;
	private int elePF;
	private String time;//这个时间为用户请求数据的时间
	private int plugNo;
	private long updateTime;//这个时间为 节点主动上报数据时设置的时间  为了方便计算用户充电时间

}
