package com.comtika.safe.core.protocol.entity.node;


import com.comtika.safe.core.protocol.ComtikaExtra;
import com.comtika.safe.core.protocol.entity.FaultEnableReport;
import com.comtika.safe.core.protocol.entity.PlugLink;
import com.comtika.safe.core.protocol.eunms.node.NodeStatus;
import lombok.Data;


/**
 * @desc	:	查询节点状态及故障信息  10H
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月21日 下午4:03:19
 */
@Data
public class NodeInfo extends ComtikaExtra {

	/**节点id*/
	private String nodeId;
	/**查询节点插座状态*/
	private NodeStatus nodeStatus;
	/**节点各插座状态*/
	private PlugLink plug;
	/** 错误上报设置状态*/
	private FaultEnableReport faultReport;
	/**查询节点插座编号*/
	private int plugNb;




}
