package com.comtika.safe.core.protocol.entity.ota;

import com.comtika.safe.core.protocol.ComtikaExtra;
import com.comtika.safe.core.protocol.eunms.device.EquipmentCode;
import lombok.Data;

import java.util.List;

/**
 * @author actor_miss[494977551@qq.com]
 * @date 2018/12/26 12:17
 */
@Data
public class TerminalOTA extends ComtikaExtra {
    public TerminalOTA(){
        this.terminalCode = EquipmentCode.GPRS_16;
    }
    private EquipmentCode terminalCode;
    private int updateVersion;
    private boolean update;
    private List<String> terminalList;

}
