package com.comtika.safe.core.protocol.entity.safe;

import com.comtika.safe.core.protocol.utils.BaseTypeConvert;
import lombok.Data;

import java.util.Arrays;
import java.util.List;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 15:14 2020/8/20
 * @DESC: 阈值帮助类
 **/
@Data
public class BitHelp {
    private boolean bit0;
    private boolean bit1;
    private boolean bit2;
    private boolean bit3;
    private boolean bit4;
    private boolean bit5;
    private boolean bit6;
    private boolean bit7;
    private boolean bit8;
    private boolean bit9;
    private boolean bit10;
    private boolean bit11;
    private boolean bit12;
    private boolean bit13;
    private boolean bit14;
    private boolean bit15;
    public static byte[] convertBytes(BitHelp help)throws Exception{
        byte[] bytes = new byte[8];
        if (help.bit0) bytes[0] = 1;
        if (help.bit1) bytes[1] = 1;
        if (help.bit2) bytes[2] = 1;
        if (help.bit3) bytes[3] = 1;
        if (help.bit4) bytes[4] = 1;
        if (help.bit5) bytes[5] = 1;
        if (help.bit6) bytes[6] = 1;
        if (help.bit7) bytes[7] = 1;
        byte[] bytes1 = new byte[8];
        if (help.bit8) bytes1[0] = 1;
        if (help.bit9) bytes1[1] = 1;
        if (help.bit10) bytes1[2] = 1;
        if (help.bit11) bytes1[3] = 1;
        if (help.bit12) bytes1[4] = 1;
        if (help.bit13) bytes1[5] = 1;
        if (help.bit14) bytes1[6] = 1;
        if (help.bit15) bytes1[7] = 1;
        byte lv1 = BaseTypeConvert.expectSizeBytes2Bte(bytes);
        byte lv2 = BaseTypeConvert.expectSizeBytes2Bte(bytes1);
        // System.out.println(lv1);
        // System.out.println(lv2);
       //  System.out.println(new String(lv2));
        return new byte[]{lv2,lv1};
    }
    public static BitHelp bytesToBit(byte[] bytes)throws Exception{
        BitHelp help = new BitHelp();
        byte[] lv1 = BaseTypeConvert.byte2ExpectBytes(bytes[1], 8);
        if (lv1[0] == 1) help.bit0 = true;
        if (lv1[1] == 1) help.bit1 = true;
        if (lv1[2] == 1) help.bit2 = true;
        if (lv1[3] == 1) help.bit3 = true;
        if (lv1[4] == 1) help.bit4 = true;
        if (lv1[5] == 1) help.bit5 = true;
        if (lv1[6] == 1) help.bit6 = true;
        if (lv1[7] == 1) help.bit7 = true;
        byte[] lv2 = BaseTypeConvert.byte2ExpectBytes(bytes[0], 8);
        if (lv2[0] == 1) help.bit8 = true;
        if (lv2[1] == 1) help.bit9 = true;
        if (lv2[2] == 1) help.bit10 = true;
        if (lv2[3] == 1) help.bit11 = true;
        if (lv2[4] == 1) help.bit12 = true;
        if (lv2[5] == 1) help.bit13 = true;
        if (lv2[6] == 1) help.bit14 = true;
        if (lv2[7] == 1) help.bit15 = true;
        return help;
    }
    public static void main(String[] args)throws Exception{
        /*BitHelp help = bytesToBit(new byte[]{2, 0});
        System.out.println(help);*/
        // BitHelp help = new BitHelp();
        //help.bit0 = true;
        //help.bit7 = true;
        //help.bit13 = true;
        //help.bit14 = true;
        //System.out.println(Arrays.toString(convertBytes(help)));
        byte[] bytes = new byte[]{(byte) -1, 0};
        BitHelp help = bytesToBit(bytes);
        System.out.println(help);
        System.out.println(Arrays.toString(convertBytes(help)));

    }


    public void convertIntegerList(List<Integer> integers) {
        for(int i:integers)convertInt(i);
    }
    private void convertInt(int it){
        switch (it){
            case 1:bit0 =true;break;
            case 2:        bit1 = true;break;
            case 3:bit2=true;break;
            case 4:        bit3=true;break;
            case 5:bit4=true;break;
            case 6:        bit5=true;break;
            case 7:bit6=true;break;
            case 8:        bit7=true;break;
            case 9:bit8=true;break;
            case 10:        bit9=true;break;
            case 11:bit10=true;break;
            case 12:        bit11=true;break;
            case 13:bit12=true;break;
            case 14:        bit13=true;break;
            case 15:bit14=true;break;
            case 16:       bit15=true;break;

        }
    }
}
