package com.comtika.safe.core.protocol.entity.version;

import com.comtika.safe.core.protocol.eunms.version.OTAStatus;
import lombok.Data;

/***
 * @ClassName: OTAUpgradeEntity
 * @Description: OTA升级状态
 * @author zhaoLuYang
 * @date2018年8月24日 上午10:04:15
 * @version V1.0
 */
@Data
public class OTAUpgradeEntity {
	/***集中器编号*/
	private String terminalNo;
	/** 总进度*/
	private int totalProgress;
	/***当前进度*/
	private int newProgress;
	/**升级状态*/
	private OTAStatus oTAStaus;
	/**开始时间   可以 显示升级用时*/
	private long startTime;
	/**升级版本*/
	private int upgradeVersion;
	/**失败原因*/
	private String otaFallMsg;

	public OTAUpgradeEntity(){
		this.totalProgress = 100;//默认值
	}

}
