package com.comtika.safe.core.protocol.eunms;
/**
 * 数据长度枚举
 * @ClassName: DataLength
 * @Description:
 * @author zhaoLuYang
 * @date2018年8月28日 上午10:22:08
 * @version V1.0
 */
public enum DataLength {
	PAIR(4,"2个byte数组"),
	FOUR(8,"4个byte数组");
	private int id;
	private String name;
	DataLength(int id, String name){
		this.id = id;
		this.name = name;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public static DataLength valueOf(int id){
		for(DataLength rs:DataLength.values()){
			if(rs.getId() == id){
				return rs;
			}
		}
		return null;
	}
	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		return sb.append("{\"id\":").append(this.id).append(",\"name\":").append("\""+this.name+"\"}").toString();
	}

}
