package com.comtika.safe.core.protocol.eunms;

/**
 * @desc	:	开关状态
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月20日 上午10:28:41
 */
public enum OnOffType {
	/**关*/
	OFF(0,"关"),
	/**开*/
	ON(1,"开");
	private int id;
	private String name;
	OnOffType(int id, String name){
		this.id = id;
		this.name = name;
	}
	public int getId() {
		return id;
	}
	public String getName() {
		return name;
	}
	public static OnOffType valueOf(int id){
		for(OnOffType rs:OnOffType.values()){
			if(rs.getId() == id){
				return rs;
			}
		}
		return null;
	}
	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		return sb.append("{\"id\":").append(this.id).append(",\"name\":").append("\""+this.name+"\"}").toString();
	}
}
