package com.comtika.safe.core.protocol.eunms.charge;

/**
 * @desc	:	电表型号与接线方式
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月19日 下午3:48:09
 */
public enum AmmeterType {
	/**
	 * 0：无1：仪 歌 电表 2：派 诺 带 交流互感器 3：派 诺不带交流互感器。
	 */
	NO(0,"无"),
	YG(1,"仪歌电表"),
	PN_JL(2,"派诺带交流互感器"),
	PN_NJL(2,"派诺不带交流互感器");
	private int id;
	private String name;
	AmmeterType(int id, String name){
		this.id = id;
		this.name = name;
	}
	public int getId() {
		return id;
	}
	public String getName() {
		return name;
	}
	public static AmmeterType valueOf(int id){
		for(AmmeterType cht:AmmeterType.values()){
			if(cht.getId() == id){
				return cht;
			}
		}
		return null;
	}
	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		return sb.append("{\"id\":").append(this.id).append(",\"name\":").append("\""+this.name+"\"}").toString();
	}


}
