package com.comtika.safe.core.protocol.eunms.charge;

/**
 * @desc	:	充值选择方式  单位
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月22日 下午4:24:58
 */
public enum ChargeMode {
	/**0-时间*/
	TIME(0,"规定时长"),
	/**1-金额*/
	CASH(1,"金额"),
	/**2-电量*/
	C_NUM(2,"规定电量"),
	/**3-充满*/
	FULL(3,"规定时长"),
	/** 4-固定时间*/
	FIX_TIME(4,"固定时间"),
	/***5 智能卡充电***/
	CARD_FULL(5,"智能卡");
	private int id;
	private String name;
	ChargeMode(int id, String name){
		this.id = id;
		this.name = name;
	}
	public int getId() {
		return id;
	}
	public String getName() {
		return name;
	}
	public static ChargeMode valueOf(int id){
		for(ChargeMode cht:ChargeMode.values()){
			if(cht.getId() == id){
				return cht;
			}
		}
		return null;
	}
	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		return sb.append("{\"id\":").append(this.id).append(",\"name\":").append("\""+this.name+"\"}").toString();
	}
}
