package com.comtika.safe.core.protocol.eunms.device;
/***
 *
 * @ClassName: EquipWarnType
 * @Description:设备告警枚举
 * @author actor_miss
 * @date2018年9月25日 下午6:57:43
 * @version V1.2.1
 */
public enum EquipWarnType {
	TOO_V(1,"过压",2),
	OWE_V(2,"欠压",2),
	TOO_I(3,"过流",1),
	TOO_p(4,"过载",1),
	TOO_T(5,"过温",1);
	private int code;
	private String name;
	private int level;
	EquipWarnType(int code, String name, int level){
		this.code = code;
		this.name = name;
		this.level = level;
	}
	public int getCode() {
		return code;
	}
	public void setCode(int code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getLevel() {
		return level;
	}
	public void setLevel(int level) {
		this.level = level;
	}

	@Override
	public String toString() {
		return String.format("{\"code:\":%d,\"name\":\"%s\",\"level\":%d}",this.code,this.name,this.level);
	}
}
