package com.comtika.safe.dao.message;

import com.comtika.safe.entity.message.FadMessageHandleConf;
import org.beetl.sql.core.annotatoin.Sql;
import org.beetl.sql.core.mapper.BaseMapper;

public interface FadMessageHandleConfDao extends BaseMapper<FadMessageHandleConf> {

    @Sql(value = "select f.user_id from fad_message_handle_conf f where f.type = 2 and f.site_id = ?")
    Integer findMessageHandleUser(Integer siteId);

    @Sql(value = "select m.manager_id from ctk_merchant m where m.merchant_id = ?")
    Integer findMerchantAdmin(Integer merchantId);
}
