package com.comtika.safe.dao.safe;

import com.comtika.safe.entity.safe.TerminalNewestData;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 10:06 2020/8/25
 * @DESC:
 **/
@SqlResource("newestData")
public interface INewestDataDao extends BaseMapper<TerminalNewestData> {

    PageQuery<Map<String, Object>> findNewestDataList(PageQuery<Map<String, Object>> pageQuery);

    List<String> findOpenList(Map<String, Object> condition);
}
