package com.comtika.safe.dao.safe;

import com.comtika.safe.core.protocol.entity.safe.TerminalSafeInfo;
import com.comtika.safe.entity.safe.RepDataRecord;
import org.beetl.sql.core.annotatoin.Sql;
import org.beetl.sql.core.mapper.BaseMapper;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 14:09 2020/8/21
 * @DESC: 记录
 **/
public interface IRepRecordDao extends BaseMapper<RepDataRecord> {


    @Sql(value = "select cs.site_id,cs.site_name,m.merchant_id,m.merchant_abbr merchant_name,t.equip_product_type_id type_id,p.product_name type_name,t.terminal_id from ctk_equip_terminal t LEFT JOIN ctk_site cs on t.site_id = cs.site_id " +
            " LEFT JOIN ctk_merchant m on t.merchant_id = m.merchant_id LEFT JOIN ctk_product_type p on t.equip_product_type_id = p.id where t.terminal_no = ? limit 1")
    TerminalSafeInfo findTerminalBaseInfoFromDB(String terminalNo);
}
