package com.comtika.safe.dao.sys.data;

import java.util.List;
import java.util.Map;

import org.beetl.sql.core.annotatoin.Param;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.mapper.BaseMapper;

import com.comtika.safe.entity.data.SysUserData;


@SqlResource("sys.sysUserDataDao")
public interface SysUserDataDao extends BaseMapper<SysUserData>{

	int updateMerchantOrSiteData(Map<String, Object> map);

	int deleteSysUserDataDao(Map<String, Object> paraMap);

	List<Map<String, Object>> queryMerchantUserData(Map<String, Object> map);

	List<Map<String, Object>> queryMerchantListData( @Param("userId") Long userId);

	List<Map<String, Object>> querySiteListData(@Param("userId") Long userId);

}
