package com.comtika.safe.dao.sys.role;

import java.util.List;
import java.util.Map;

import org.beetl.sql.core.annotatoin.Param;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.mapper.BaseMapper;

import com.comtika.safe.entity.role.SysRole;


@SqlResource("sys.role")
public interface RoleDao extends BaseMapper<SysRole>
{

    /**
     * @Title: queryList
     * @Description: TODO(这里用一句话描述这个方法的作用)
     * @param pageQuery
     */
    PageQuery<Map<String, Object>> queryList(PageQuery<Map<String, Object>> pageQuery);

    /**
     * @Title: getUserListByParam
     * @Description: TODO(根据角色参数获取人员列表)
     * @param map
     */
    List<Map<String, Object>> getUserListByParam(Map<String, Object> map);

    /**
     * @Title: getPermissionListByRoleId
     * @Description: TODO(这里用一句话描述这个方法的作用)
     * @param map
     * @return
     */
    List<Map<String, Object>> getPermissionListByRoleId(Map<String, Object> map);

    /**
     * @Title: updateStatusByIds
     * @Description: TODO(根据角色id集合修改其状态)
     * @param roleIds
     * void
     */
    void updateStatusByIds(Map<String,Object> map);

    /**
     * @Title: getRoleListByUserId
     * @Description: TODO(这里用一句话描述这个方法的作用)
     * @param userId
     * @throws
     */
    List<Map<String,Object>> getRoleListByUserId(@Param("userId") Long userId);

}
