package com.comtika.safe.dao.sys.user;

import java.util.List;
import java.util.Map;
import java.util.Set;

import org.beetl.sql.core.annotatoin.Param;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.mapper.BaseMapper;

import com.comtika.safe.entity.SysUser;


@SqlResource("sys.user")
public interface UserDao extends BaseMapper<SysUser>
{

    PageQuery<Map<String,Object>> queryList(PageQuery<Map<String,Object>> pageQuery);

    Map<String, Object> getUserDetailById(Map<String, Object> map);

    List<Map<String, Long>> queryAllUserId(@Param("orgCodes") Set<String> orgCodes);

    List<Map<String,Object>> getUsersByMerchantId(Map<String,Object> map);

	List<Map<String, Object>> queryAllUser(Map<String, Object> hashMap);

	Map<String, Object> queryUserPersonalInformation(Map<String, Object> map);

}
