package com.comtika.safe.entity.menu;

import java.io.Serializable;

import lombok.Data;

/**
 * @ClassName: Menu
 * @Description:菜单实体--树形上下级
 */
@Data
public class Menu implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 父编号
     */
    private Integer parentId;

    /**
     * 菜单编号
     */
    private Integer menuId;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单地址
     */
    private String menuUrl;

    /**
     * 图标地址
     */
    private String iconUrl;

    /**
     * 级别
     */
    private String level;

    /**
     * 菜单类型
     */
    private int menuType;

    /**
     * 状态
     */
    private int status;

    /**
     * 排序
     */
    private Integer menuSort;


}
