package com.comtika.safe.entity.report;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 13:42 2020/8/25
 * @DESC: 告警帮助类
 **/
@Data
public class WarnQueryHelp {
    private int pageNum = 1;
    private int pageSize = 10;
    private Integer merchantId;
    private Integer siteId;
    private String terminalNo;
    private Integer warnType;
    private Long startTime;
    private Long endTime;
    private Integer typeId;
    private Integer status;
    private Integer warnStatus;//警报状态
    private Boolean preWarn;// 是否预警
    private List<Integer> excelList = new ArrayList<>();
}
