package com.comtika.safe.entity.safe;

import lombok.Data;

@Data
public class SafeNode {
    private static final String END_80 = "80";
    private static final String END_81 = "81";
    private static final String END_82 = "82";
    private boolean isMain;
    private String serialNo;
    private int plugNo = -1;

    public SafeNode(String nodeNo, int plugNo) {
        if (nodeNo == null) return;
        if (nodeNo.endsWith(END_80)){
        	serialNo = nodeNo;
        	isMain = true;
        }else {
            int size = nodeNo.length();
            if (nodeNo.endsWith(END_81)){
                serialNo = nodeNo.substring(0, size - 2) + intToStr((plugNo + 1));
                this.plugNo = plugNo + 1;
            }else if (nodeNo.endsWith(END_82)){
                serialNo = nodeNo.substring(0, size - 2) + intToStr((plugNo + 8));
                this.plugNo = plugNo + 8;
            }
            isMain = false;
        }
    }

    private String intToStr(int plugNo){
        if(plugNo > 9)return plugNo+"";
        return "0"+plugNo;
    }
    public static void main(String[] args){
        SafeNode node = new SafeNode("016666666681",9);
        System.out.println(node);
    }
}
