package com.comtika.safe.entity.safe;

import lombok.Data;
import org.beetl.sql.core.annotatoin.AutoID;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 9:23 2020/8/25
 * @DESC:
 **/
@Data
public class TerminalNewestData {
    @AutoID
    private Integer id;
    private String nodeNo;
    private String terminalNo;
    private Integer deviceId;
    private Integer siteId;
    private String siteName;
    private Integer merchantId;
    private String merchantName;
    private Integer subT;
    private Integer subV;
    private Integer subI;
    private Integer subP;
    private Integer subE;
    private Integer subLeakI;
    private Integer mainT;
    private Integer plugState;
    private Integer plugNo;
    private Long createTime;
    private Boolean isMain;
    private Integer typeId;
    private String typeName;
    private String serialNo;

    public TerminalNewestData(){

    }
    public TerminalNewestData(RepDataRecord res){
        nodeNo = res.getNodeNo();
        terminalNo = res.getTerminalNo();
        deviceId = res.getDeviceId();
        siteId = res.getSiteId();
        siteName = res.getSiteName();
        merchantId = res.getMerchantId();
        merchantName = res.getMerchantName();
        subE = res.getSubE();
        subI = res.getSubI();
        subP = res.getSubP();
        subT = res.getSubT();
        subV = res.getSubV();
        subLeakI = res.getSubLeakI();
        mainT = res.getMainT();
        plugNo = res.getPlugNo();
        plugState = res.getPlugState();
        createTime = res.getCreateTime();
    }
}
