package com.comtika.safe.entity.warn;

import com.comtika.safe.core.protocol.entity.safe.WarnDataHelp;
import lombok.Data;
import org.beetl.sql.core.annotatoin.AutoID;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 19:40 2020/8/26
 * @DESC:
 **/
@Data
public class WarnRecord {
    @AutoID
    private Integer id;
    private Integer siteId;
    private Integer merchantId;
    private String siteName;
    private String merchantName;
    private Integer typeId;
    private String typeName;// 类型名称
    private Long createTime;
    private Long updateTime;
    private Integer warnType;//类型
    private Integer status;// 状态
    private String nodeNo;//节点
    private String terminalNo;
    private String serialNo; //流水号
    private Integer handleUserId;//处理用户
    private Integer warnT;
    private Integer warnV;
    private Integer warnI;
    private Integer warnP;
    private Integer warnLeakI;
    private Integer mainT;
    private String remarks;
    private Integer plugNo;
    private Integer warnStatus;// 告警状态 0 告警中 1 处理告警
    private Boolean preWarn;//是否是预警 2020 08 30 新增
    private String warnThr;//告警阈值 2020 09 04


    public void handleBaseInfo(WarnDataHelp dataHelp,int warnType){
        updateTime = System.currentTimeMillis();
        // status = 0;
        // warnStatus = 0;
        nodeNo = dataHelp.getNodeNo();
        terminalNo = dataHelp.getTerminalNo();
        warnT = dataHelp.getWarnT();
        warnP = dataHelp.getWarnP();
        warnI = dataHelp.getWarnI();
        warnV = dataHelp.getWarnV();
        warnLeakI = dataHelp.getWarnLeakI();
        plugNo = dataHelp.getPlugNo();
        mainT = dataHelp.getMainT();
        // 类型
        if(warnType==1||warnType==2||warnType==7|| warnType ==8){
            warnThr = warnV*1.0/10+"V";
        }else if(warnType ==3||warnType==9 || warnType == 13){
            warnThr =warnI+"mA";
        }else if(warnType==4||warnType==10){
            warnThr = warnP*1.0/1000+"kW";
        }else if(warnType==5||warnType==11){
            warnThr = warnT+"℃";
        }else if(warnType==6||warnType==14){
            warnThr = mainT+"℃";
        }else if(warnType==12||warnType==16){
            warnThr = warnLeakI*1.0/10+"mA";
        }


    }
}

