package com.comtika.safe.service.message;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.core.UserCoreCache;
import com.comtika.safe.entity.message.FadMessageConf;
import com.comtika.safe.entity.message.FadMessageHandleConf;
import com.comtika.safe.entity.message.help.MessageAcceptHelp;
import com.comtika.safe.entity.wx.WeChatHelp;

import java.util.List;
import java.util.Map;

public interface IMessageService {
    RespWrapper<Map<String, Object>> fadFindMessageConfig(Integer siteId);

    RespWrapper<Boolean> addMessageAcceptList(MessageAcceptHelp help);

    RespWrapper<Boolean> fadMessageConfig(FadMessageConf help);

    RespWrapper<Boolean> deleteMessageAcceptUser(Integer id, UserCoreCache userCache);

    RespWrapper<Boolean> updateMessageHandleUser(Integer msgId, Integer userId);


    List<FadMessageHandleConf> findSiteMessageConfig(int siteId);

    RespWrapper<Boolean> checkWeChatCode(String phoneNo);

    RespWrapper<Boolean> weChatAcCodeAuth(WeChatHelp help,UserCoreCache userCoreCache);

    RespWrapper<Boolean> sendPhoneCode(String phoneNo);

    RespWrapper<Boolean> delUserAuth(UserCoreCache userCache);

    RespWrapper<Boolean> checkPhoneCode(String phoneNo, String code);
}
