package com.comtika.safe.service.mobile;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.core.UserCoreCache;
import com.comtika.safe.entity.mobile.EleTotalQueryHelp;
import com.comtika.safe.entity.safe.TerminalNewestData;

import java.util.Map;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 15:23 2020/10/24
 * @DESC:
 **/
public interface IMobileService {
    RespWrapper<Map<String, Object>> findUserSiteEleTotal(EleTotalQueryHelp help, UserCoreCache userCache);

    RespWrapper<Map<String, Object>> findTerminalEleTotal(EleTotalQueryHelp help, UserCoreCache userCache);

    RespWrapper<Map<String, Object>> findSocketEleTotal(EleTotalQueryHelp help);

    RespWrapper<Map<String, Object>> findTerminalDataTotal(String terminalNo);

    RespWrapper<TerminalNewestData> findTerminalNewDataInfo(Integer id);

    RespWrapper findTerminalEleTotalList(EleTotalQueryHelp help);
}
