package com.comtika.safe.service.ota;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.entity.ota.OtaRecord;
import org.beetl.sql.core.engine.PageQuery;

import java.util.List;
import java.util.Map;

public interface IOtaService {
    RespWrapper<PageQuery<Map<String, Object>>> findFadVersionPage(Integer start, Integer size, String hsName, Long startTime, Long endTime);

    RespWrapper<Boolean> addOTAVersion(OtaRecord ck);

    RespWrapper<Boolean> updateOTAHsVersion(OtaRecord hs);

    RespWrapper<List<OtaRecord>> findAllOtaVersion();

    RespWrapper<Boolean> deleteOta(Integer id);
}
