package com.comtika.safe.service.site;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.comtika.safe.entity.site.help.SiteExcelHelp;
import org.beetl.sql.core.engine.PageQuery;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.core.UserCoreCache;
import com.comtika.safe.entity.site.CtkSite;






public interface SiteService{

	RespWrapper<Object> addSite(CtkSite ctkSite, UserCoreCache findUserCache,HttpServletRequest request);

	RespWrapper<Object> updateSite(CtkSite ctkSite, UserCoreCache findUserCache,HttpServletRequest request);

	RespWrapper<Object> querySiteDetail(Long siteId,HttpServletRequest request);

	RespWrapper<Object> list(HttpServletRequest request,PageQuery<Map<String, Object>> pageQuery);

	RespWrapper<Object> querySiteCollectionList(UserCoreCache findUserCache,HttpServletRequest request);

    RespWrapper fadFindSiteList(SiteExcelHelp help, UserCoreCache userCache);

	RespWrapper siteListExcel(SiteExcelHelp help, UserCoreCache userCache, HttpServletResponse response);
}
