package com.comtika.safe.service.sys.role;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.beetl.sql.core.engine.PageQuery;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.entity.role.ParaSysRole;
import com.comtika.safe.entity.role.SysRole;
import com.comtika.safe.service.BaseService;


public interface RoleService extends BaseService<SysRole>
{

    RespWrapper<Object> addRole(ParaSysRole role,HttpServletRequest request);

    RespWrapper<Object> updateRole(ParaSysRole paraSysRole,HttpServletRequest request);

    RespWrapper<Object> getUserListByParam(String roleName, String roleId,HttpServletRequest request);

    RespWrapper<Object> pageRoleConfig(long roleId, String menuIds,HttpServletRequest request);

    RespWrapper<Object> dataRoleConfig(Long roleId, Long userId, String orgIds,HttpServletRequest request);

    RespWrapper<Object> enableRole(String roleId,Integer status,HttpServletRequest request);

    RespWrapper<Object> getUserRoleAuth(Long userId,HttpServletRequest request);

	RespWrapper<Object> rolePageDetail(long roleId, Long userId,HttpServletRequest request);

	RespWrapper<Object> getList(PageQuery<Map<String, Object>> pageQuery,HttpServletRequest request);

	RespWrapper<Object> roleDataDetail(Long roleId, Long userId,HttpServletRequest request);

	RespWrapper<Object> roleDetail(Long roleId,HttpServletRequest request);

}
