package com.comtika.safe.service.task;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.core.UserCoreCache;
import com.comtika.safe.entity.task.help.*;
import org.beetl.sql.core.engine.PageQuery;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

public interface ITaskService {
    RespWrapper<PageQuery<Map<String,Object>>> findTaskPageList(TaskQueryHelp help, UserCoreCache userCache);

    RespWrapper<Boolean> addTaskHandle(TaskHelp help);

    RespWrapper<Boolean> updateTaskHandle(TaskHelp help);

    RespWrapper<Boolean> deleteTask(Integer id);

    RespWrapper<TaskHelp> findTaskInfo(Integer id);

    RespWrapper<Boolean> takeTask(Integer id);

    RespWrapper<Boolean> excelTaskList(TaskQueryHelp task, UserCoreCache userCache, HttpServletResponse response);

    RespWrapper findTaskTemplateList(TaskTemplateQueryHelp help,UserCoreCache userCoreCache);

    RespWrapper addTaskTemplate(TaskTemplateHelp help, UserCoreCache userCache);

    RespWrapper updateTaskTemplate(TaskTemplateHelp help, UserCoreCache userCache);

    RespWrapper deleteTaskTemplate(Integer id, UserCoreCache userCache);

    RespWrapper findTaskTemplate(String terminalNo, UserCoreCache userCache);

    RespWrapper configTaskTemplate(AddTaskByTemplateHelp help, UserCoreCache userCache);

    RespWrapper findTaskTemplateByName(String name, UserCoreCache userCache);

    RespWrapper<Boolean> checkUserTemplateTask(UserCoreCache userCache);
}
