package com.comtika.safe.service.warn;


import com.alibaba.fastjson.JSONObject;
import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.core.UserCoreCache;
import com.comtika.safe.entity.lucene.LuceneReturnEntity;
import com.comtika.safe.entity.report.AlwayQueryHelp;
import com.comtika.safe.entity.report.NewestQueryHelp;
import com.comtika.safe.entity.report.WarnQueryHelp;
import com.comtika.safe.entity.safe.RepDataRecord;
import com.comtika.safe.entity.sys.SysExcelField;
import com.comtika.safe.entity.warn.help.WarnHelp;
import org.beetl.sql.core.engine.PageQuery;

import javax.servlet.http.HttpServletResponse;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 16:04 2020/8/24
 * @DESC:
 **/
public interface IWarnService {
    RespWrapper<LuceneReturnEntity> findReportDataList(AlwayQueryHelp help);

    RespWrapper<PageQuery<Map<String, Object>>> findNewestDataList(NewestQueryHelp help, UserCoreCache userCache);

    RespWrapper<PageQuery<Map<String, Object>>> findWarnPageList(WarnQueryHelp help, UserCoreCache userCache);

    RespWrapper<Boolean> warnStatusHandle(UserCoreCache userCache,Integer warnId,Integer status);

    RespWrapper<Collection<WarnHelp>> findSiteWarnRanking(UserCoreCache userCache);

    RespWrapper<Map<String, Object>> findMonthWarnRanking(UserCoreCache userCache);

    RespWrapper<Map<String, Object>> findWarnHomeTotal(UserCoreCache userCache);

    RespWrapper<List<SysExcelField>> findExcelField(Integer id);

    RespWrapper<Boolean> warnExcelHandle(WarnQueryHelp help, UserCoreCache userCache, HttpServletResponse response);

    RespWrapper<Boolean> newestDataExcel(NewestQueryHelp help, UserCoreCache userCache, HttpServletResponse response);

    RespWrapper<Boolean> excelReportDataList(AlwayQueryHelp help, HttpServletResponse response);

    RespWrapper findWarnInfo(Integer id);
}
