findMerchantConfigBase
===
* 获取充电订单的基本信息
SELECT
	t.terminal_no,
	t.equip_type
FROM
	(
		SELECT
			s.equip_node_id,
			s.serial_no
		FROM
			ctk_equip_socket s
		WHERE
			s.serial_no = #socketNo#
		LIMIT 1
	) s
LEFT JOIN ctk_equip_node n ON s.equip_node_id = n.id
LEFT JOIN ctk_equip_terminal t ON n.equip_terminal_id = t.id
limit 1

findSimpleUserInfo
===
* 这里查询用户的简单信息
SELECT
	s.user_id id,
	s.`name`,
	s.phone_no,
	s.merchant_id
FROM
	sys_user s
WHERE
	1 = 2
@if(!isEmpty(merchantAdmin)){
    or s.user_id = #merchantAdmin#
@}
@if(!isEmpty(marketerId)){
    or s.user_id = #marketerId#
@}


findUserList
===
* 根据id 查询对应的用户
SELECT
	su.user_id id,
	su.`name`,
	su.login_name phone_no,
	su.merchant_id,
	st.wechat_pn_oppen_id ac_open_id
FROM
	sys_user su
LEFT JOIN sys_user_third_id st ON su.user_id = st.user_id
where 1=1
@if(!isEmpty(ids)){
    and su.user_id in (#join(ids)#)
@}

