findUserSiteEleTotal
===
* 统计已站点为纬度的电量
SELECT
	sum(t.start_ele) start_ele,
	sum(t.end_ele) end_ele,
	t.site_id
FROM
	terminal_ele_total t
where 1=1
@if(!isEmpty(startTime)){
    and t.create_time >= #startTime#
    and t.create_time < #endTime#
@}
@if(!isEmpty(siteIds)){
    and t.site_id in (#join(siteIds)#)
@}
GROUP BY t.site_id

findSiteList
===
* 根据权限获取站点列表
SELECT
	cs.site_id id,
	cs.site_name name
FROM
	ctk_site cs
WHERE
	1 = 1
@if(!isEmpty(siteIds)){
    and cs.site_id in (#join(siteIds)#)
@}

findTerminalEleTotal
===
* 设备电量统计方法
SELECT
	sum(t.start_ele) start_ele,
	sum(t.end_ele) end_ele,
	t.terminal_no,
	t.terminal_id
FROM
	terminal_ele_total t
where 1=1
@if(!isEmpty(startTime)){
    and t.create_time >= #startTime#
    and t.create_time < #endTime#
@}
@if(!isEmpty(siteId)){
    and t.site_id = #siteId#
@}
GROUP BY t.terminal_id

findSocketEleTotal
===
* 获取设备插座电量统计
SELECT
	sum(t.start_ele) start_ele,
	sum(t.end_ele) end_ele,
	t.serial_no,
	t.id socket_id
FROM
	terminal_ele_total t
where 1=1
@if(!isEmpty(startTime)){
    and t.create_time >= #startTime#
    and t.create_time < #endTime#
@}
@if(!isEmpty(terminalId)){
    and t.terminal_id = #terminalId#
@}
GROUP BY t.serial_no

findTerminalDataTotal
===
* 查询数据统计
SELECT
	t.*
FROM
	terminal_newest_data t
where 1=1
@if(!isEmpty(terminalNo)){
    and t.terminal_no = #terminalNo#
@}
