queryList
===
SELECT
	t.*
FROM
	sys_permission t
WHERE 1 = 1
@if(!isEmpty(authorities)){
	AND t.`name` IN #authorities#
@}

findByUserId
===	
SELECT
	p.id,
	p.`name`,
	p.description,
	p.url,
	p.pid,
	p.type,
	p.`status`,
	parent.NAME pname
FROM
	sys_permission p
LEFT JOIN sys_role_permission pr ON pr.permission_id = p.id
LEFT JOIN sys_permission parent ON parent.id = p.pid
LEFT JOIN sys_role r ON r.id = pr.role_id AND r.role_status=1
LEFT JOIN sys_role_user ur ON ur.role_id = r.id
LEFT JOIN sys_user u ON u.user_id = ur.user_id
WHERE p.`status` = 1	
AND u.user_id = #userId#

findByAdmin
===	
SELECT
	p.id,
	p.`name`,
	p.description,
	p.url,
	p.pid,
	p.type,
	p.`status`,
	parent.NAME pname
FROM
	sys_permission p
LEFT JOIN sys_permission parent ON parent.id = p.pid
WHERE p.`status` = 1	

findByRoleIds
===
SELECT
	p.id,
	p.`name`,
	p.description,
	p.menu_name,
	p.url,
	p.pid,
	p.type,
	p.`status`,
	parent.NAME pname
FROM
	sys_permission p
LEFT JOIN sys_permission parent ON parent.id = p.pid
LEFT JOIN sys_role_permission pm ON pm.permission_id = p.id
WHERE p.`status` = 1	
AND pm.role_id in ( #join(roleIds)#)	

	
	