package com.comtika.safe.common.enums;

/**
 * @ClassName: OperatEnum
 * @Description:操作枚举
 * @version V1.0
 */
public enum OperatEnum {
    ENABLE(1, "启用"), 
    DISABLE(2, "停用");
    
    private int id;

    private String text;

    OperatEnum(int id, String text) {
        this.id = id;
        this.text = text;
    }

    public int getId() {
        return id;
    }


    public String getText() {
        return text;
    }

}
