package com.comtika.safe.common.enums.user;

/**
 * 
 * @ClassName: UserInitEnum
 * @Description:用户初始化状态枚举
 */
public enum UserInitEnum {
    INIT(0, "初始化状态"), 
    FALMAL(1, "正常状态");

    private int id;

    private String value;

    private UserInitEnum(int id, String value) {
        this.id = id;
        this.value = value;
    }

    public int getId() {
        return id;
    }

    public String getValue() {
        return value;
    }

    public static UserInitEnum getEnumById(int id) {
        for (UserInitEnum each : UserInitEnum.values()) {
            if (each.getId() == id) { return each; }
        }
        throw new RuntimeException(String.format("id=[%d] error", id));
    }
}
