/*
package com.comtika.safe.config.redis;

import com.alibaba.fastjson.JSONObject;
import com.comtika.safe.common.utils.encrypt.HexUtil;
import org.springframework.data.redis.serializer.RedisSerializer;
import org.springframework.data.redis.serializer.SerializationException;

*/
/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 19:43 2019/6/3
 * @DESC: 新良田redis value序列化  这里使用ali的序列化
 **//*

public class EloamRedisSerializer<T> implements RedisSerializer<T> {
    private static final byte[] EMPTY = new byte[0];
    @Override
    public byte[] serialize(T t) throws SerializationException {
        if (null == t) {
            return EMPTY;
        }
        return HexUtil.hexStr2Bytes(JSONObject.toJSONString(t));
    }

    @Override
    public T deserialize(byte[] bytes) throws SerializationException {
        if (null == bytes || bytes.length <= 0) {
            return null;
        }
        return (T) JSONObject.parseObject(HexUtil.bytes2HexStr(bytes));
    }
}
*/
