package com.comtika.safe.controller.platform;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.comtika.safe.common.action.BaseController;
import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.service.sys.org.OrgService;

/**
 * 组织架构
 * @author Jimmy
 *
 */
@RestController
@RequestMapping("/org")
public class OrgComtroller extends BaseController{
	
	@Autowired
	private OrgService orgService;
	
	@ApiOperation(value = "获取组织架构", notes = "获取组织架构")
	@ApiImplicitParam(name = "flag", value = "是否需要获取用户", required = false, dataType = "boolean",paramType="query")
    @RequestMapping(value = "/list", method = RequestMethod.GET)
	public RespWrapper<Object> list(Boolean flag){
		return orgService.list(flag,request);
	}
	
	
}
