package com.comtika.safe.controller.upload;

import com.comtika.safe.common.action.BaseController;
import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.service.upload.IUploadService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@RestController
@RequestMapping("visitUpload")
@Api(description = "上传接口")
public class UploadController extends BaseController {
    @Autowired
    private IUploadService iUploadService;

    @ApiOperation(value = "上传模块", notes = "id值说明：1 = 升级文件；4=图片上传")
    @PostMapping("/upload")
    public RespWrapper<Object> upload(MultipartFile file, Integer id){
        return iUploadService.upload(file,id);
    }
}
