package com.comtika.safe.core;

import lombok.Data;

import java.util.HashSet;
import java.util.Set;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 17:00 2020/3/7
 * @DESC: 用户的核心缓存
 **/
@Data
public class UserCoreCache {
    //private List<Integer> userMenuList = new ArrayList<>();//用户菜单list
    // 下面这个2个是访问url 权限问题
    // private List<Pattern> funUrl = new ArrayList<>();// 用户可以访问的数据
    // private Set<String> termFunUrl = new HashSet<>();//精确fun

    private Set<Long> merchantData = new HashSet<>();//用户商户权限
    private Set<Long> siteData = new HashSet<>();//用户站点权限
    private Long merchantId;//所属商户id
    private String name;//用户姓名
    private String phoneNo;//手机号
    private Long userId;// == 1为admin
    private String loginName;
    // private Integer roleId;// 角色id
}
