package com.comtika.safe.core.aspect;

/**
 * @Author: miss[494977551@qq.com]
 * @Date: Create in 21:04 2019/8/13
 * @DESC:   日志服务类型
 **/
public enum LogServiceType {
    MERCHANT("商户服务"),
    SITE("站点服务"),
    DEVICE("设备服务"),
    APPOINTMENT("预约登记"),
    VISITOR_RECORD("访客记录"),
    STAFF_INFO("信息列表"),
    ATTENDANCE_RECORD("考勤记录"),
    USER("用户服务"),
    ROLE("角色服务"),
    MENU("菜单服务"),
    DEPT("部门服务"),
    LOGS("日志服务"),
    ADVERT("广告服务"),
    APP("小程序服务"),
    STATS("数据统计"),
    EX_HANDLE("统一异常处理模块"),
    TERMINAL("终端服务"),
    WE_CHAT("微信服务"),
    COMMON("公共服务");
    private String name;

    public String getName() {
        return name;
    }

    LogServiceType(String name){
        this.name = name;
    }
}
