package com.comtika.safe.core.protocol.entity;

import com.comtika.safe.core.protocol.ComtikaExtra;
import com.comtika.safe.core.protocol.eunms.charge.AnswerCard;
import com.comtika.safe.core.protocol.eunms.device.EquipmentCode;
import lombok.Data;

/**
 * @author actor_miss[494977551@qq.com]
 * @date 2018/12/26 12:21
 */
@Data
public class TerminalCard extends ComtikaExtra {
    public TerminalCard(){
        this.terminalCode = EquipmentCode.GPRS_16;
    }
    private EquipmentCode terminalCode;
    private String uniqueNo;//节点编号
    private AnswerCard answerCard;
    private int pulgNo;//插座编号
    private Integer balance;//余额

}
