package com.comtika.safe.core.protocol.entity.charge;


import com.comtika.safe.core.protocol.entity.FaultEnableReport;
import com.comtika.safe.core.protocol.eunms.charge.ChargeResCode;
import com.comtika.safe.core.protocol.ComtikaExtra;
import lombok.Data;


/**
 * @desc	:	充电指令 与结束充电指令数据
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月22日 上午10:47:47
 */
@Data
public class ChargeBase extends ComtikaExtra {
	private String nodeNo;
	private String orderNo;
	private ChargeResCode resCode;
	private FaultEnableReport fault;
	private int plugNo;



}
