package com.comtika.safe.core.protocol.entity.netty;


import com.comtika.safe.core.protocol.eunms.AckCode;
import lombok.Data;

/**
 * @ClassName: ResProtocol
 * @Description: 协议层返回bean
 * @author zhaoLuYang
 * @date2018年6月3日 上午9:09:44
 * @version V1.0
 */
@Data
public class ResProtocol<T>{
	public ResProtocol() {
	}
	public ResProtocol(AckCode ackCode, String sign, T data) {
		this.ackCode = ackCode;
		this.sign = sign;
		this.data = data;
	}
	/**响应码*/
	private AckCode ackCode;
	/**临时签名 用于判断是否成功*/
	private String sign;
	/**泛型数据*/
	private T data;
	/**
	 * @return the ackCode
	 */
	public AckCode getAckCode() {
		return ackCode;
	}
	/**
	 * @param ackCode the ackCode to set
	 */
	public void setAckCode(AckCode ackCode) {
		this.ackCode = ackCode;
	}
	/**
	 * @return the sign
	 */
	public String getSign() {
		return sign;
	}
	/**
	 * @param sign the sign to set
	 */
	public void setSign(String sign) {
		this.sign = sign;
	}
	/**
	 * @return the data
	 */
	public T getData() {
		return data;
	}
	/**
	 * @param data the data to set
	 */
	public void setData(T data) {
		this.data = data;
	}



}
