package com.comtika.safe.core.protocol.entity.timer;

import com.comtika.safe.core.protocol.utils.BaseTypeConvert;
import lombok.Data;

import java.util.Arrays;

@Data
public class TimerHelp {
    private String terminalNo;
    private int timer1;
    private int timer2;
    private int timer3;
    private int timer4;
    private int timer5;
    private int timer6;
    private int timer7;
    private int timer8;

    public byte[] creteBytes() {
        byte[] bytes = new byte[16];
        System.arraycopy(BaseTypeConvert.int2BytesBE(timer1,2),0,bytes,0,2);
        System.arraycopy(BaseTypeConvert.int2BytesBE(timer2,2),0,bytes,2,2);
        System.arraycopy(BaseTypeConvert.int2BytesBE(timer3,2),0,bytes,4,2);
        System.arraycopy(BaseTypeConvert.int2BytesBE(timer4,2),0,bytes,6,2);
        System.arraycopy(BaseTypeConvert.int2BytesBE(timer5,2),0,bytes,8,2);
        System.arraycopy(BaseTypeConvert.int2BytesBE(timer6,2),0,bytes,10,2);
        System.arraycopy(BaseTypeConvert.int2BytesBE(timer7,2),0,bytes,12,2);
        System.arraycopy(BaseTypeConvert.int2BytesBE(timer8,2),0,bytes,14,2);
        return bytes;
    }
}
