package com.comtika.safe.core.protocol.entity.version;

import com.comtika.safe.core.protocol.entity.node.NodeVersion;
import com.comtika.safe.core.protocol.eunms.charge.AmmeterType;
import com.comtika.safe.core.protocol.eunms.CallHighType;
import com.comtika.safe.core.protocol.eunms.CallLowType;
import lombok.Data;

/**
 *
 * @ClassName: HardwareVersion
 * @Description：集中器软硬件版本
 * @author zhaoLuYang
 * @date2018年5月31日 下午2:43:08
 * @version V1.0
 * --》(集中器软硬版本、子版版本信息)
 */
@Data
public class HardwareVersion {
	public HardwareVersion(){

	}
	public HardwareVersion(NodeVersion nodeVersion){
		this.hVersion = nodeVersion.getHardware();
		this.sVersion = nodeVersion.getSoftware();
	}
	private String hVersion;
	private String sVersion;
	private AmmeterType ttype;
	private CallHighType callHigh;
	private CallLowType callLow;



}
