package com.comtika.safe.core.protocol.eunms;

/**
 * @desc	:	上行通讯
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月19日 下午3:42:38
 */
public enum CallHighType {
	//0:以太网 1:GPRS; 2：CMDA; 3: WIFI
	NOTHING(-1,"无"),
	/**以太网 */
	YTW(0,"以太网"),
	/**GPRS */
	GPRS(1,"GPRS"),
	/**CMDA */
	CMDA(2,"CMDA"),
	/**WIFI */
	WIFI(3,"WIFI");
	private int id;
	private String name;
	CallHighType(int id, String name){
		this.id = id;
		this.name = name;
	}
	public int getId() {
		return id;
	}
	public String getName() {
		return name;
	}
	public static CallHighType valueOf(int id){
		for(CallHighType cht:CallHighType.values()){
			if(cht.getId() == id){
				return cht;
			}
		}
		return null;
	}
	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		return sb.append("{\"id\":").append(this.id).append(",\"name\":").append("\""+this.name+"\"}").toString();
	}

}
