package com.comtika.safe.core.protocol.eunms;

/**
 * @desc	:	下行通讯方式
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月19日 下午3:37:01
 */
public enum CallLowType {
	/***
	 * 0:GPRS;1：GC2200；2:2480；3慧 信4：NP9060
5：485总线  2019年9月7日修改
	 */
	NOTGING(-1,"无"),
	/**GPRS */
	GRPS(0,"GRPS"),
	/**GC2200 */
	GC2200(1,"GC2200"),
	/**2480 */
	C_2480(2,"2480"),
	/**慧信 */
	HX(3,"慧信"),
	/**NP9060 */
	NP9060(4,"NP9060"),
	/**485总线*/
	TOTAL_485(5,"485总线");
	private int id;
	private String name;
	CallLowType(int id, String name){
		this.id = id;
		this.name = name;
	}
	public int getId() {
		return id;
	}
	public String getName() {
		return name;
	}
	public static CallLowType valueOf(int id){
		for(CallLowType clt:CallLowType.values()){
			if(clt.getId() == id){
				return clt;
			}
		}
		return null;
	}
	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		return sb.append("{\"id\":").append(this.id).append(",\"name\":").append("\""+this.name+"\"}").toString();
	}
}
