package com.comtika.safe.core.protocol.eunms;

/**
 * @desc	:	硬件版本
 * @author	:	actorLucky[494977551@qq.com]
 * @date	:	2018年5月21日 下午7:43:52
 */
public enum HardwareVersion {
	PLC(1,"PLC"),
	GPRS(2,"GPRS");
	private int id;
	private String name;
	HardwareVersion(int id, String name){
		this.id = id;
		this.name = name;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public static HardwareVersion valueOf(int id){
		for(HardwareVersion cht:HardwareVersion.values()){
			if(cht.getId() == id){
				return cht;
			}
		}
		return null;
	}
	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		return sb.append("{\"id\":").append(this.id).append(",\"name\":").append("\""+this.name+"\"}").toString();
	}


}
