package com.comtika.safe.core.protocol.eunms.charge;
/**
 *
 * @ClassName: SystemControllerMode
 * @Description:系统控制方式
 * @author zhaoLuYang
 * @date2018年6月5日 上午10:11:43
 * @version V1.0
 */
public enum SystemControllerMode {
	/**集中器重启动*/
	TERMINAL_RESTART(1,"集中器重启动"),
	/**集中器重启进入升级模式*/
	TERMINAL_UPGRADE(2,"集中器重启进入升级模式（只供特定的更新固件软件使用）"),
	/**读取集中器软件版本号*/
	READ_TERMINAL_EDITION(3,"读取集中器软件版本号");
	private int id;
	private String name;
	SystemControllerMode(int id, String name){
		this.id = id;
		this.name = name;
	}
	public int getId() {
		return id;
	}
	public String getName() {
		return name;
	}
	public static SystemControllerMode valueOf(int id){
		for(SystemControllerMode cht:SystemControllerMode.values()){
			if(cht.getId() == id){
				return cht;
			}
		}
		return null;
	}
	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		return sb.append("{\"id\":").append(this.id).append(",\"name\":").append("\""+this.name+"\"}").toString();
	}
}
