package com.comtika.safe.dao.homePage;


import java.util.List;
import java.util.Map;

import com.comtika.safe.entity.equip.product.CtkProductType;
import com.comtika.safe.entity.homePage.MerchantAndSiteNumber;

import com.comtika.safe.entity.homePage.help.EleTotalHelp;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.mapper.BaseMapper;


@SqlResource("home.homePage")
public interface HomePageDao extends BaseMapper<CtkProductType> {

	MerchantAndSiteNumber queryMerchantAndSiteNumber(Map<String, Object> map);

	List<Map<String, Object>> queryEquipNumber(Map<String, Object> map);

	List<Map<String, Object>> querySite(Map<String, Object> map);

	List<Map<String, Object>> querySiteWarn(Map<String, Object> map);

    EleTotalHelp findHomeEleTotal(Map<String, Object> condition);
}
