package com.comtika.safe.dao.site;

import java.util.List;
import java.util.Map;

import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.mapper.BaseMapper;

import com.comtika.safe.entity.site.CtkSite;


@SqlResource("site.site")
public interface SiteDao extends BaseMapper<CtkSite>{

	List<Map<String,Object>> querySetSiteIdbyMrchantId(Map<String, Object> map);

	Map<String, Object> querySiteDetail(Map<String, Object> map);

	PageQuery<Map<String, Object>> querySiteList(PageQuery<Map<String, Object>> pageQuery);

	List<Map<String, Object>> queryAllSite(Map<String, Object> hashMap);

    PageQuery<Map<String, Object>> fadFindSiteList(PageQuery<Map<String, Object>> pageQuery);
}
