package com.comtika.safe.dao.sys;

import com.comtika.safe.entity.sys.SysExcelField;
import org.beetl.sql.core.annotatoin.Param;
import org.beetl.sql.core.annotatoin.Sql;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.mapper.BaseMapper;

import java.util.List;

@SqlResource("excel")
public interface IExcelFieldDao extends BaseMapper<SysExcelField> {

    @Sql(value = "select *from sys_excel_field f where f.field_type = ? ORDER BY f.serial_no")
    List<SysExcelField> findExcelList(Integer id);

    List<SysExcelField> findExcelListByIds(@Param("ids") List<Integer> ids);
}
