package com.comtika.safe.dao.sys.permission;

import java.util.List;
import java.util.Map;

import org.beetl.sql.core.annotatoin.Param;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.mapper.BaseMapper;

import com.comtika.safe.entity.SysPermission;


@SqlResource("sys.permission")
public interface PermissionDao extends BaseMapper<SysPermission>
{
    /**
     * @Title: queryList
     * @Description: TODO(这里用一句话描述这个方法的作用)
     * @param map
     * @return
     * List<Map<String,Object>>
     * @throws
     */
    public List<Map<String, Object>> queryList(Map<String, Object> map);

    /**
     * @Title: findByUserId
     * @Description: TODO(根据用户id找权限)
     * @param map
     * @return
     * List<SysPermission>
     * @throws
     */
    public List<Map<String,Object>> findByUserId(Map<String, Object> map);
    
    /**
     * 
     * @Title: findByAdmin
     * @Description: TODO(找admin的权限--所有权限)
     * @param map
     * @return
     * List<Map<String,Object>>
     * @throws
     */
    public List<Map<String,Object>> findByAdmin();
    
    public List<Map<String,Object>> findByRoleIds(@Param("roleIds") List<Long> roleIds);
    
}
