package com.comtika.safe.entity;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * @version V1.0
 * @ClassName: SysUserRole
 * @Description:用户-角色实体
 */
@Getter
@Setter
@Table(name = "sys_role_user", uniqueConstraints = {@UniqueConstraint(columnNames = {"user_id", "role_id"})})
public class SysRoleUser implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long userId;

    private Long roleId;

    public static long getSerialversionuid() {
        return serialVersionUID;
    }
}
