package com.comtika.safe.entity.log;

import lombok.Data;

@Data
public class LoginLog {
	
	private String loginName;	//登录名
	
	private Long loginTime;		//登录时间
	
	private String orderName;	//登录方式，后台管理系统，手机端登录
	
	private Integer success;	//登录是否成功，0 -- 成功  ，-1 -- 失败
	
	private String ip;			//登录ip地址

	public LoginLog(String loginName, Long loginTime, String orderName,
			Integer success, String ip) {
		super();
		this.loginName = loginName;
		this.loginTime = loginTime;
		this.orderName = orderName;
		this.success = success;
		this.ip = ip;
	}

	public LoginLog() {
		super();
	}
	
	
	
	
}
