package com.comtika.safe.entity.message;

import lombok.Data;
import org.beetl.sql.core.annotatoin.AutoID;

/**
 * 消息处理配置
 */
@Data
public class FadMessageHandleConf {
    @AutoID
    private Integer id;
    private Integer mesId;//消息配置id
    private Integer userId;//用户唯一id
    private String nickName;
    private String phoneNo;
    private String acOpenId;//如果不存在，回去查询数据库
    private Integer type;//类型  1 消息接收人  2 消息处理人 3为F1
    private Integer merchantId;//所属商户
    private Integer siteId;
}
