package com.comtika.safe.entity.metchant;

import lombok.Data;



/**
 * 新增商户入参
 * @author Jimmy
 *
 */
@Data
public class RegisterMerchant  {
	
	private Long merchantId;	//商户id
    
    private String merchantName;// 商户名称
    
    private String merchantAbbr;// 商户简称

    private Long managerId;// 管理员id --外键-用户id
    
    private Long marketerId;// 市场人员id 市场部的业务对接人 --外键-用户id
    
    private String businessLicense;//营业执照

    private String area; // 地区 [10001,10085,12298] 省-市-区

    private String merchantLogo;//商户logo

    private String merchantTitle;//商户title
    
    private String province;//省份缩写
    
    private String city;//市
    
    String district;//区
    
    private String address; // 详细地址
    
    private String email;// 邮箱
    
    private Long registerTime;	//商户注册时间，2018-10-10新增

    private Integer cooperatStatus;// 合作状态, -1 = 审核未通过， 0 = 待审核，1 = 待合作 ， 2 = 合作中 ， 3 = 结束合作
    
    private Integer merchantType;
    
    private String phoneNo;// 手机号
    
    private String managerName;// 管理员姓名
    
    
    
	public void upCtkMerchant(CtkMerchant ctkMerchant) {
		ctkMerchant.setMerchantName(this.merchantName);
		ctkMerchant.setMerchantAbbr(this.merchantAbbr);
		ctkMerchant.setManagerId(this.managerId);
		ctkMerchant.setMarketerId(this.marketerId);
		ctkMerchant.setBusinessLicense(this.businessLicense);
		ctkMerchant.setArea(this.area);
		ctkMerchant.setMerchantLogo(this.merchantLogo);
		ctkMerchant.setMerchantTitle(this.merchantTitle);
		ctkMerchant.setProvince(this.province);
		ctkMerchant.setCity(this.city);
		ctkMerchant.setDistrict(this.district);
		ctkMerchant.setAddress(this.address);
		ctkMerchant.setEmail(this.email);
		ctkMerchant.setRegisterTime(System.currentTimeMillis());
		ctkMerchant.setCooperatStatus(this.cooperatStatus);
		ctkMerchant.setMerchantType(this.merchantType);
	}


}
