package com.comtika.safe.service.equip.terminal;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.comtika.safe.core.UserCoreCache;
import com.comtika.safe.entity.equip.AddEquipListEntity;
import com.comtika.safe.entity.equip.help.TerminalExcelHelp;

import org.beetl.sql.core.engine.PageQuery;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.entity.equip.terminal.EquipTerminalAddEntity;

public interface EquipTerminalService {

	RespWrapper<Object> addEquipTerminal(EquipTerminalAddEntity equip,HttpServletRequest request);

	RespWrapper<Object> findTerminalList(HttpServletRequest request,PageQuery<Map<String, Object>> pageQuery);

	RespWrapper<Object> queryEquipTerminalById(Long terminalId,HttpServletRequest request);

	RespWrapper<Object> updateEquipTerminal(EquipTerminalAddEntity equip,HttpServletRequest request);

	RespWrapper<Object> queryLoopNumberByTerminalNo(String terminalNo,HttpServletRequest request);


    RespWrapper fadFindTerminalList(TerminalExcelHelp help, UserCoreCache userCache);

	RespWrapper terminalListExcel(TerminalExcelHelp help, UserCoreCache userCache, HttpServletResponse response);

	RespWrapper<Object> addEquipTerminalList(AddEquipListEntity equip,HttpServletRequest request);

	RespWrapper<Object> deleteEquipTerminal(Long terminalId,HttpServletRequest request);
}
