package com.comtika.safe.service.merchant;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.comtika.safe.entity.metchant.help.MerchantExcelHelp;

import org.beetl.sql.core.engine.PageQuery;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.core.UserCoreCache;
import com.comtika.safe.entity.metchant.EnableMerchant;
import com.comtika.safe.entity.metchant.RegisterMerchant;

public interface MerchantService {

	RespWrapper<Object> addMerchant(RegisterMerchant registerMerchant,UserCoreCache userCoreCache,HttpServletRequest request);

	RespWrapper<Object> getMarketUsers(String roleName,HttpServletRequest request);

	RespWrapper<Object> queryMerchantList(String merchantAbbr,Integer cooperatStatus, PageQuery<Map<String, Object>> pageQuery,HttpServletRequest request);

	RespWrapper<Object> merchantDetail(Long merchantId, Boolean userFlag,HttpServletRequest request);

	RespWrapper<Object> updateMerchant(RegisterMerchant merchant,HttpServletRequest request);

	RespWrapper<Object> enableMerchant(EnableMerchant enableMerchant,HttpServletRequest request);

	RespWrapper<Object> queryMerchantAbbrList(UserCoreCache userCoreCache,HttpServletRequest request);

    RespWrapper fadFindMerchantList(MerchantExcelHelp help, UserCoreCache userCache);

	RespWrapper merchantExcel(MerchantExcelHelp help, UserCoreCache userCache, HttpServletResponse response);

	RespWrapper<Object> updateMerchantLogoAndTitle(Long merchantId,String merchantLogo, String merchantTitle,HttpServletRequest request);

	RespWrapper<Object> queryMerchantLogoAndTitle(Long merchantId,HttpServletRequest request);
}
