package com.comtika.safe.service.sys.permission;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.core.UserCoreCache;
import com.comtika.safe.entity.SysPermission;
import com.comtika.safe.service.BaseService;


public interface PermissionService extends BaseService<SysPermission>
{

	RespWrapper<Object> queryList(Map<String,Object> map,HttpServletRequest request);

	RespWrapper<Object> insertPermission(SysPermission menu,HttpServletRequest request);

	RespWrapper<Object> updatePermission(SysPermission menu,HttpServletRequest request);
    
	RespWrapper<Object> pageRole(UserCoreCache userCoreCache,HttpServletRequest request);

	RespWrapper<Object> enableMenu(String menuId, Integer status,HttpServletRequest request);

	RespWrapper<Object> menuDetail(long menuId,HttpServletRequest request);

}
