package com.comtika.safe.service.sys.user;


import org.beetl.sql.core.engine.PageQuery;

import com.comtika.safe.common.response.RespWrapper;
import com.comtika.safe.core.UserCoreCache;
import com.comtika.safe.entity.SysUser;
import com.comtika.safe.service.BaseService;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

public interface UserService extends BaseService<SysUser>{
    

	RespWrapper<Object> insertUser(SysUser user,Long operatoRuserId,HttpServletRequest request);

	RespWrapper<Object> login(String loginName, String password,HttpServletRequest request,String ip);

    RespWrapper<Object> updateUser(SysUser user,HttpServletRequest request);

    RespWrapper<Object> getUserDetailById(Long userId,HttpServletRequest request);

    RespWrapper<Object> logout(HttpServletRequest request);

    RespWrapper<Object> isUniquePhoneNo(HttpServletRequest request);

	RespWrapper<Object> enableUser(Long userId, Integer status,HttpServletRequest request);

	RespWrapper<Object> updateUserByEntity(SysUser user,HttpServletRequest request);

	RespWrapper<Object> queryList(PageQuery<Map<String, Object>> pageQuery,HttpServletRequest request);

	RespWrapper<Object> resetPassword(Long userId, String password,HttpServletRequest request);


	RespWrapper<Object> updatePassword(String oldPassword, String newPassword,UserCoreCache findUserCache,HttpServletRequest request);

	RespWrapper<Object> queryUserPersonalInformation(HttpServletRequest request, UserCoreCache userCoreCache);


    
}
