querySetSiteIdbyMrchantId
===
SELECT site_id FROM ctk_site WHERE merchant_id = #merchantId# 

querySiteDetail
===
SELECT 
  site.*,
  cm.merchant_name,
  cm.merchant_abbr 
FROM
  (SELECT 
    * 
  FROM
    ctk_site 
  WHERE 1 = 2
@if(!isEmpty(siteId)){
	or site_id = #siteId# 
@}  
  ) site 
  LEFT JOIN ctk_merchant cm  ON site.merchant_id = cm.merchant_id
  
querySiteList
===
SELECT 
  #page(" site.*,cm.merchant_name,cm.merchant_abbr ")# 
FROM
  (SELECT 
    * 
  FROM
    ctk_site 
  WHERE 1 = 1
@if(!isEmpty(siteData)){
	AND site_id in (#join(siteData)#) 
@}
@if(!isEmpty(merchantId)){
	AND merchant_id = #merchantId# 
@}
@if(!isEmpty(siteName)){
	AND site_name  LIKE #'%'+siteName+'%'#
@}
@if(!isEmpty(siteType)){
	AND site_type = #siteType# 
@}
@if(!isEmpty(siteStatus)){
	AND site_status = #siteStatus# 
@}
@if(!isEmpty(area)){
	AND area = #area# 
@}
@if(!isEmpty(createTime) && !isEmpty(endDate)){
	AND create_time >= #createTime# 
	AND create_time <= #endDate# 
@}  
  ) site 
  LEFT JOIN ctk_merchant cm  ON site.merchant_id = cm.merchant_id
  
queryAllSite
===
SELECT 
  site_id,
  site_name,
  merchant_id,
  longitude,
  latitude 
FROM
  ctk_site 
WHERE 1 =1 
@if(!isEmpty(siteData)){
	AND site_id in (#join(siteData)#) 
@}  

fadFindSiteList
===
* 查询站点类别接口
SELECT 
  #page(" site.*,cm.merchant_name,cm.merchant_abbr")# 
FROM
  (SELECT 
    * 
  FROM
    ctk_site 
  WHERE 1 = 1
@if(!isEmpty(siteIds)){
	AND site_id in (#join(siteIds)#) 
@}
@if(!isEmpty(merchantId)){
	AND merchant_id = #merchantId# 
@}
@if(!isEmpty(siteName)){
	AND site_name  LIKE #'%'+siteName+'%'#
@}
@if(!isEmpty(siteType)){
	AND site_type = #siteType# 
@}
@if(!isEmpty(siteStatus)){
	AND site_status = #siteStatus# 
@}
@if(!isEmpty(area)){
	AND area = #area# 
@}
@if(!isEmpty(startTime)){
	AND create_time >= #startTime# 
	AND create_time <= #endTime# 
@}  
  ) site 
  LEFT JOIN ctk_merchant cm  ON site.merchant_id = cm.merchant_id
