queryList
===
SELECT #page("t.id,t.role_name,t.description,t.role_status,t.remark,t.last_update_time")#
FROM
	sys_role t
WHERE 1=1
@if(!isEmpty(roleName)){
	AND t.role_name LIKE #'%'+roleName+'%'# 
@}
@if(!isEmpty(description)){
	AND t.description LIKE #'%'+description+'%'# 
@}
@if(!isEmpty(status)){
	AND t.role_status = #status# 
@}

getUserListByParam
===
SELECT
	u.user_id,
	u.user_name,
	u.status,
	m.merchant_name
FROM
	sys_user u
LEFT JOIN sys_role_user ur ON ur.user_id = u.user_id
LEFT JOIN sys_role r ON r.id=ur.role_id
LEFT JOIN ctk_merchant m ON m.merchant_id = u.merchant_id
WHERE 1 = 1
@if(!isEmpty(roleId)){
	and ur.role_id = #roleId# 
@}
@if(!isEmpty(roleName)){
	and r.role_name = #roleName# 
@}

getPermissionListByRoleId
===
SELECT
	t.id,
	t.description,
	t.`status`,
	t.`name`,
	t.pid
FROM
	sys_permission t
LEFT JOIN sys_role_permission pr ON pr.permission_id = t.id
LEFT JOIN sys_role r ON r.id = pr.role_id
WHERE 1 = 1
@if(!isEmpty(roleId)){
	and pr.role_id = #roleId# 
@}

updateStatusByIds
===
UPDATE sys_role r
SET r.role_status = #status#
WHERE
	r.id IN (#join(roleIds)#)
	
getRoleListByUserId
===
SELECT
	r.id,
	r.description,
	r.role_name
FROM
	sys_role r
LEFT JOIN sys_role_user ruser ON ruser.role_id = r.id
WHERE
	r.role_status = 1
@if(!isEmpty(userId)){
	AND ruser.user_id = #userId# 
@}








