queryList
===
SELECT  #page("u.user_id,u.name,u.login_name,m.merchant_id,m.merchant_name merchant_name,m.merchant_abbr merchant_abbr,u.status,u.last_login_time,u.name")#
FROM
 sys_user u
LEFT JOIN ctk_merchant m ON m.merchant_id = u.merchant_id
@if(!isEmpty(merchantData)){
	WHERE u.merchant_id in (#join(merchantData)#) 
@}else{
	WHERE 1=1 
@}
@if(!isEmpty(name)){
	AND u.name LIKE #'%'+name+'%'# 
@}
@if(!isEmpty(loginName)){
	AND u.login_name LIKE #'%'+loginName+'%'# 
@}
@if(!isEmpty(merchantName)){
	AND m.merchant_abbr LIKE #'%'+merchantName+'%'# 
@}
@if(!isEmpty(status)){
	AND u.status = #status# 
@}


querySysOrgUserByParam 
===
select * from sys_user where 1=1 

@if(!isEmpty(id)){
	and id = #id# 
@}
@if(!isEmpty(loginName)){
	and login_name = #loginName# 
@}


getUserDetailById
===
SELECT
	u.user_id,
	u.name,
	u.phone_no,
	u.merchant_id,
	m.merchant_name,
	u.email,
	u.user_sex,
	u.id_card,
	u.user_name,
	u.regist_source,
	u.user_type,
	u.last_login_time
FROM sys_user u
LEFT JOIN ctk_merchant m ON m.merchant_id = u.merchant_id
WHERE 1 = 1
@if(!isEmpty(userId)){
	AND u.user_id = #userId# 
@}

getUsersByMerchantId
===
SELECT
	u.user_id,
	u.`name` user_name,
	u.phone_no,
	u.id_card
FROM
	sys_user u
WHERE u.status = '1' 
  AND u.user_type = '2' 
@if(!isEmpty(merchantId)){
	and u.merchant_id = #merchantId#
@}

queryAllUser
===
SELECT 
  user_id,
  user_name,
  merchant_id,
  user_type 
FROM
  sys_user  
  
queryUserPersonalInformation
===
SELECT 
  t.user_name,
  t.login_name,
  t.last_login_time,
  t1.`merchant_name`,
  t1.`merchant_abbr` 
FROM
  (SELECT 
    user_name,
    login_name,
    last_login_time,
    merchant_id 
  FROM
    sys_user 
  WHERE 1 = 2
@if(!isEmpty(userId)){
	or user_id = #userId#
@}  
  ) t 
  LEFT JOIN ctk_merchant t1 
    ON t.merchant_id = t1.`merchant_id` 




