findTaskPageList
===
* 查询定时任务列表
SELECT 
	#page("t.*,cs.site_name,m.merchant_abbr")#
FROM
	terminal_task t
LEFT JOIN ctk_site cs on t.site_id = cs.site_id
LEFT JOIN ctk_merchant m on cs.merchant_id = m.merchant_id
WHERE
	t.delete_status = 0
@if(!isEmpty(terminalNo)){
    and t.terminal_no like #'%'+terminalNo+'%'#
@}
@if(!isEmpty(taskModel)){
    and t.task_model = #taskModel#
@}
@if(!isEmpty(siteId)){
    and t.site_id = #siteId#
@}
@if(!isEmpty(merchantId)){
    and cs.merchant_id = #merchantId#
@}
@if(!isEmpty(siteIds)){
    and t.site_id in (#join(siteIds)#)
@}
@if(!isEmpty(merchantIds)){
    and cs.merchant_id in (#join(merchantIds)#)
@}

findTaskTemplateList
===
* 查询定时任务模版
SELECT
	#page("*")#
FROM
	task_template t
where 1=1
@if(!isEmpty(userId)){
    and t.user_id = #userId#
@}
@if(!isEmpty(merchantId)){
    and t.merchant_id = #merchantId#
@}
@if(!isEmpty(taskModel)){
    and t.task_model = #taskModel#
@}
@if(!isEmpty(terminalType)){
    and t.terminal_type = #terminalType#
@}
@if(!isEmpty(merchantIds)){
    and t.merchant_id in (#join(merchantIds)#)
@}
@if(!isEmpty(name)){
    and t.`name` like #'%'+name+'%'#
@}

findTaskTemplateListByTemplateName
===
* 根据定时任务模拟名称查询模板列表
SELECT
	t.*
FROM
	task_template t
where 1=1
@if(!isEmpty(userId)){
    and t.user_id = #userId#
@}
@if(!isEmpty(name)){
    and t.`name` like #'%'+name+'%'#
@}
@if(!isEmpty(merchantIds)){
    and t.merchant_id in (#join(merchantIds)#)
@}
@if(!isEmpty(merchantId)){
    and t.merchant_id = #merchantId#
@}
